Skip to content

VPC Routes

[BETA] Create and manipulate routing rules

Read more

create-route

[BETA] Create a route

POST /vpc/{vpc-id}/subnet/{subnet-id}/route

Path parameters

NameInDescription
vpc-idpathMust be a valid UUID.
subnet-idpathMust be a valid UUID.

Request body

Content-Type: application/json

PropertyTypeRequiredDescription
destinationstringyesRoute destination CIDR
targetstringyesRoute target
descriptionstringnoRoute description

Max length: 4096.
Example
{
  "description": "string",
  "destination": "string",
  "target": "string"
}

Responses

Status: 200 - 200

Content-Type: application/json

PropertyTypeDescription
descriptionstringRoute description

Max length: 4096.
destinationstringRoute destination CIDR
idstringRoute ID

Must be a valid UUID.
kindstringRoute kind

Allowed values: Subnet, Vpc.
targetstringRoute target
Example output
{
  "description": "string",
  "destination": "string",
  "id": "string",
  "kind": "Subnet",
  "target": "string"
}

SDK reference for create-route: golang | Python | Java

CLI: exo api create-route

delete-route

[BETA] Delete a route

DELETE /vpc/{vpc-id}/subnet/{subnet-id}/route/{id}

Path parameters

NameInDescription
vpc-idpathMust be a valid UUID.
subnet-idpathMust be a valid UUID.
idpathMust be a valid UUID.

Responses

Status: 204 - 204

SDK reference for delete-route: golang | Python | Java

CLI: exo api delete-route


Other Operations

list-routes

[BETA] List Subnet routes

GET /vpc/{vpc-id}/subnet/{subnet-id}/route

Path parameters

NameInDescription
vpc-idpathMust be a valid UUID.
subnet-idpathMust be a valid UUID.

Responses

Status: 200 - 200

Content-Type: application/json

PropertyTypeDescription
routesarray of Route
Example output
{
  "routes": [
    {
      "description": "string",
      "destination": "string",
      "id": "string",
      "kind": "Subnet",
      "target": "string"
    }
  ]
}

SDK reference for list-routes: golang | Python | Java

CLI: exo api list-routes

list-vpc-routes

[BETA] List VPC routes

GET /vpc/{vpc-id}/route

Path parameters

NameInDescription
vpc-idpathMust be a valid UUID.

Responses

Status: 200 - 200

Content-Type: application/json

PropertyTypeDescription
routesarray of Route
Example output
{
  "routes": [
    {
      "description": "string",
      "destination": "string",
      "id": "string",
      "kind": "Subnet",
      "target": "string"
    }
  ]
}

SDK reference for list-vpc-routes: golang | Python | Java

CLI: exo api list-vpc-routes

Last updated on